## eole-fichier 2.9.0-10

=== debian/changelog ===
eole-fichier (2.9.0-10) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [43acfef] Contourner les limitations de la fonction Math.round
  * [1961ca8] Merge branch '2.8.1/master'
  * [d5106e3] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [4432eeb] Benjamin Bohard: Update package since “debian/eole/2.9.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 13 Dec 2022 09:57:19 +0100

eole-fichier (2.9.0-9) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a998065] Ne pas multiplier le résultat affiché.
  * [953354d] Merge branch '2.8.1/master'
  * [f7994a5] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [60d2451] Benjamin Bohard: Update package since “debian/eole/2.9.0-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 13 Dec 2022 09:02:17 +0100

eole-fichier (2.9.0-8) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [808adca] Revert "EAD3/quota : chargement des traductions de l'interface (ref #34182)"
  * [2cc3102] Revert "EAD3/quota : chargement des traductions de l'interface (ref #34182)"
  * [60ae450] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ce44a21] Benjamin Bohard: Update package since “debian/eole/2.9.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 12 Dec 2022 15:43:39 +0100

eole-fichier (2.9.0-7) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [de84e14] EAD3/quota : meilleur affichage des chiffres à arrondir (ref #34182)
  * [01b3f51] EAD3/quota : chargement des traductions de l'interface (ref #34182)
  * [b7566bd] Merge branch '1.8.1/master'
  * [0af5306] EAD3/quota : chargement des traductions de l'interface (ref #34182)
  * [3ec58ef] EAD3/quota : chargement des traductions de l'interface (ref #34182)

  [ Benjamin Bohard ]
  * [c6e0e60] Merge branch '2.8.1/master'
  * [8c38ae1] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [96609e4] Benjamin Bohard: Update package since “debian/eole/2.9.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 12 Dec 2022 14:08:37 +0100

## eole-fichier 2.9.0-12

=== debian/changelog ===
eole-fichier (2.9.0-12) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [748052f] Installer l’action

  [ EOLE Build Daemon ]
  * [92e0773] Benjamin Bohard: Update package since “debian/eole/2.9.0-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 25 Jul 2024 08:37:20 +0200

eole-fichier (2.9.0-11) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [78ff59a] Action pour résumer les modifications d'ACL.
  * [658b98a] Fournir une sortie en tableau.
  * [9022140] Récupérer l’index de l’élément à enlever de la liste.
  * [1598881] Utiliser la sortie formatée en tableau pour les actions EAD3.
  * [8c048f9] L’utilisation de Samba pour lister les partages est optionnelle.
  * [4831dc5] Les informations des groupes sont récupérées avec le module grp.
  * [1d58ef6] Affichage d’informations de debug superflu.
  * [a4c6d90] Utiliser un parser donnant un meilleur rendu.
  * [03d522b] Révision du script
  * [8ff55e8] La conversion des ids en noms est falcultative et tardive.
  * [2ae0dba] Ajout du format csv et sauvegarde multiple.
  * [88e3bfb] Merge branch '2.7.2/master' into 2.8.0/master
  * [5bd379b] Merge branch '2.8.0/master' into 2.8.1/master
  * [5430037] Déplacement des fichiers sauvés dans les fichiers EAD3.
  * [f0fad60] Merge branch '2.7.2/master' into 2.8.0/master
  * [eb99083] Merge branch '2.8.0/master' into 2.8.1/master
  * [9dd100e] Merge branch '2.8.1/master' into 2.9.0/master
  * [361e93d] Merge branch '2.9.0/master' into dist/eole/2.9.0/master
  * [7b3eede] Faire l’union des listes obtenues par getent et wbinfo.
  * [b160e41] Afficher les listes complètes
  * [1c02161] Merge branch '2.7.2/master' into 2.8.0/master
  * [d0f894f] Merge branch '2.8.0/master' into 2.8.1/master
  * [e68421a] Merge branch '2.8.1/master' into 2.9.0/master
  * [aad23d7] Merge branch '2.9.0/master' into dist/eole/2.9.0/master
  * [be1039c] Permettre l’analyse des dossiers contenant des espaces.
  * [7a1665f] Merge branch '2.7.2/master' into 2.8.0/master
  * [eefddd4] Merge branch '2.8.0/master' into 2.8.1/master
  * [b191d25] Merge branch '2.8.1/master' into 2.9.0/master
  * [13ef232] Merge branch '2.9.0/master' into dist/eole/2.9.0/master
  * [466ff4d] Utiliser le même code sur 2.7.2 et 2.8.1.
  * [ce27647] Merge branch '2.7.2/master' into 2.8.0/master
  * [261b2aa] Merge branch '2.8.0/master' into 2.8.1/master
  * [1e3b439] Réduire le temps d’exécution en limitant les écritures.
  * [9d5205e] Merge branch '2.7.2/master' into 2.8.0/master
  * [769fbb6] Merge branch '2.8.0/master' into 2.8.1/master
  * [16702c9] Merge branch '2.8.1/master' into 2.9.0/master
  * [512a115] Merge branch '2.9.0/master' into dist/eole/2.9.0/master
  * [81cf664] Réduire le temps d’exécution en limitant les appels système.
  * [9aff28f] Réduire le temps d’exécution en construisant moins de listes.
  * [1243753] Vérifier que le script n’est pas déjà en cours d’exécution.
  * [687ff41] Merge branch '2.7.2/master' into 2.8.0/master
  * [b295c91] Merge branch '2.8.0/master' into 2.8.1/master
  * [b3938c3] Merge branch '2.8.1/master' into 2.9.0/master
  * [f08136f] Merge branch '2.9.0/master' into dist/eole/2.9.0/master
  * [2c2590d] Calculer la différence par rapport aux ACL par défaut en priorité.
  * [71723db] Merge branch '2.7.2/master' into 2.8.0/master
  * [16016b7] Merge branch '2.8.0/master' into 2.8.1/master
  * [71c1b8c] Merge branch '2.8.1/master' into 2.9.0/master
  * [dd0c029] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d19e507] Benjamin Bohard: Update package since “debian/eole/2.9.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 24 Jul 2024 15:57:22 +0200

## eole-fichier 2.10.0-2

=== Makefile ===
################################
# Makefile pour eole-fichier-common
################################

export SOURCE=eole-fichier
export EOLE_VERSION=2.10
export EOLE_RELEASE=2.10.0
PKGAPPS=non

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-fichier (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [5e467a7] Installer l’action

  [ EOLE Build Daemon ]
  * [a94afea] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 25 Jul 2024 08:40:50 +0200

eole-fichier (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [67ce77a] Prepare release 2.10.0
  * [e926d1f] Merge branch 'master' into dist/eole/2.10.0/master

  [ Benjamin Bohard ]
  * [78ff59a] Action pour résumer les modifications d'ACL.
  * [658b98a] Fournir une sortie en tableau.
  * [9022140] Récupérer l’index de l’élément à enlever de la liste.
  * [1598881] Utiliser la sortie formatée en tableau pour les actions EAD3.
  * [8c048f9] L’utilisation de Samba pour lister les partages est optionnelle.
  * [4831dc5] Les informations des groupes sont récupérées avec le module grp.
  * [1d58ef6] Affichage d’informations de debug superflu.
  * [a4c6d90] Utiliser un parser donnant un meilleur rendu.
  * [03d522b] Révision du script
  * [8ff55e8] La conversion des ids en noms est falcultative et tardive.
  * [2ae0dba] Ajout du format csv et sauvegarde multiple.
  * [88e3bfb] Merge branch '2.7.2/master' into 2.8.0/master
  * [5bd379b] Merge branch '2.8.0/master' into 2.8.1/master
  * [5430037] Déplacement des fichiers sauvés dans les fichiers EAD3.
  * [f0fad60] Merge branch '2.7.2/master' into 2.8.0/master
  * [eb99083] Merge branch '2.8.0/master' into 2.8.1/master
  * [9dd100e] Merge branch '2.8.1/master' into 2.9.0/master
  * [c4b933b] Merge branch '2.9.0/master'
  * [67b4604] Merge branch 'master' into dist/eole/2.10.0/master
  * [7b3eede] Faire l’union des listes obtenues par getent et wbinfo.
  * [b160e41] Afficher les listes complètes
  * [1c02161] Merge branch '2.7.2/master' into 2.8.0/master
  * [d0f894f] Merge branch '2.8.0/master' into 2.8.1/master
  * [e68421a] Merge branch '2.8.1/master' into 2.9.0/master
  * [157d6de] Merge branch '2.9.0/master'
  * [9d16d9f] Merge branch 'master' into dist/eole/2.10.0/master
  * [be1039c] Permettre l’analyse des dossiers contenant des espaces.
  * [7a1665f] Merge branch '2.7.2/master' into 2.8.0/master
  * [eefddd4] Merge branch '2.8.0/master' into 2.8.1/master
  * [b191d25] Merge branch '2.8.1/master' into 2.9.0/master
  * [ee94de8] Merge branch '2.9.0/master'
  * [f307a51] Merge branch 'master' into dist/eole/2.10.0/master
  * [466ff4d] Utiliser le même code sur 2.7.2 et 2.8.1.
  * [ce27647] Merge branch '2.7.2/master' into 2.8.0/master
  * [261b2aa] Merge branch '2.8.0/master' into 2.8.1/master
  * [1e3b439] Réduire le temps d’exécution en limitant les écritures.
  * [9d5205e] Merge branch '2.7.2/master' into 2.8.0/master
  * [769fbb6] Merge branch '2.8.0/master' into 2.8.1/master
  * [16702c9] Merge branch '2.8.1/master' into 2.9.0/master
  * [0a3312a] Merge branch '2.9.0/master'
  * [532f54c] Merge branch 'master' into dist/eole/2.10.0/master
  * [81cf664] Réduire le temps d’exécution en limitant les appels système.
  * [9aff28f] Réduire le temps d’exécution en construisant moins de listes.
  * [1243753] Vérifier que le script n’est pas déjà en cours d’exécution.
  * [687ff41] Merge branch '2.7.2/master' into 2.8.0/master
  * [b295c91] Merge branch '2.8.0/master' into 2.8.1/master
  * [b3938c3] Merge branch '2.8.1/master' into 2.9.0/master
  * [e4c571d] Merge branch '2.9.0/master'
  * [0e4fd42] Merge branch 'master' into dist/eole/2.10.0/master
  * [2c2590d] Calculer la différence par rapport aux ACL par défaut en priorité.
  * [71723db] Merge branch '2.7.2/master' into 2.8.0/master
  * [16016b7] Merge branch '2.8.0/master' into 2.8.1/master
  * [71c1b8c] Merge branch '2.8.1/master' into 2.9.0/master
  * [4b98faf] Merge branch '2.9.0/master'
  * [6f48f84] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c36b0ca] Benjamin Bohard: Update package since “debian/eole/2.9.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 24 Jul 2024 15:58:48 +0200

=== debian/control ===
Source: eole-fichier
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9),
               nodejs,
               npm,
               ca-certificates
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-fichier
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-fichier/repository

Package: eole-fichier-common
Architecture: all
Depends: ${misc:Depends}, ${python3-depends}, acl,
 eole-antivirus, eole-fichier-quota
# python-fichier, eole-sso-client,
# eole-fichier-primaire | eole-fichier-membre
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires communs à
 fichier-primaire et fichier-membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-common-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, acl, quota, quotatool,
 samba, samba-common-bin, smbclient,
 winbind, libpam-winbind, tdb-tools,
 samba-vfs-modules, samba-dsdb-modules
Conflicts: nscd
Description: serveur de fichier EOLE (metapackage)
 Dépendances pour eole-fichier-common
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-primaire
Architecture: all
Depends: ${misc:Depends}, ${python3-depends}, eole-fichier-common,
 eole-client-annuaire, eole-userpassword
Conflicts: eole-fichier-membre
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires pour un contrôleur de domaine principal
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-primaire-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, client-annuaire-pkg, smbldap-tools,
 libnss-winbind, eole-python3-fichier,
Description: serveur de fichier EOLE (metapackage)
 Dépendances pour eole-fichier-primaire
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-membre
Architecture: all
Depends: ${misc:Depends}, ${python3-depends}, eole-fichier-common, eole-nsswitch
Conflicts: eole-fichier-primaire
Description: Templates et dictionnaires pour serveur de fichier EOLE
 Templates et dictionnaires pour un serveur membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-membre-pkg
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, krb5-config, krb5-user,
 libnss-winbind, eole-python3-fichier,
Description: serveur de fichier membre EOLE (metapackage)
 Dépendances pour eole-fichier-membre
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-userpassword
Architecture: all
Depends: ${misc:Depends}
Description: Templates et dictionnaires pour le paramètrage des mots de passe
 Templates et dictionnaires liés à la gestion des mots de passe
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-actions
Architecture: all
Depends: ${misc:Depends}, quota, acl, python3-pylibacl, python3-tabulate
Description: Actions génériques sur les fichiers
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-fichier-quota
Replaces: eole-fichier-common (<< 2.8.1-4)
Breaks: eole-fichier-common (<< 2.8.1-4)
Architecture: all
Depends: ${misc:Depends}, quota, quotatool
Description: Gestion des quotas
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@

override_dh_clean:
	dh_clean node_modules/ build/

override_dh_auto_configure:
	HOME=/tmp npm install polymer-cli@1.2

override_dh_auto_build:
	mkdir -p dist/static/acl/custom
	mkdir -p dist/static/quota/custom

	cd ./actions/extra/acl/custom; ../../../../node_modules/.bin/polymer build
	cp -r ./actions/extra/acl/custom/build/default/* dist/static/acl/custom/
	cd ./actions/extra/quota/custom; ../../../../node_modules/.bin/polymer build
	cp -r ./actions/extra/quota/custom/build/default/* dist/static/quota/custom/
	dh_auto_build

override_dh_install:
	dh_install -p eole-fichier-actions dist/static/* usr/share/eole/creole/extra/
	dh_install

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

override_dh_missing:

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_builddeb override_dh_missing
